FindReplaceUtility (Groovy 3.0.7)

Package groovy.ui.text

## Class FindReplaceUtility

- java.lang.Object
- - groovy.ui.text.FindReplaceUtility

-     @Deprecated
      public final class FindReplaceUtility
      extends Object

  Deprecated.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `CLOSE_ACTION_COMMAND` | Deprecated.
    `static Action` | `FIND_ACTION` | Deprecated.
    `static String` | `FIND_ACTION_COMMAND` | Deprecated.
    `static String` | `REPLACE_ACTION_COMMAND` | Deprecated.
    `static String` | `REPLACE_ALL_ACTION_COMMAND` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `addTextListener​(TextListener tl)` | Deprecated.
    `static void` | `dispose()` | Deprecated.
    `static String` | `getLastAction()` | Deprecated.
    `static int` | `getReplacementCount()` | Deprecated.
    `static String` | `getSearchText()` | Deprecated.
    `static void` | `registerTextComponent​(JTextComponent textComponent)` | Deprecated.
    `static void` | `removeTextListener​(TextListener tl)` | Deprecated.
    `static void` | `showDialog()` | Deprecated.
    `static void` | `showDialog​(boolean isReplace)` | Deprecated.
    `static void` | `unregisterTextComponent​(JTextComponent textComponent)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIND_ACTION_COMMAND

          public static final String FIND_ACTION_COMMAND

      Deprecated.
      See Also:
        Constant Field Values

    - #### REPLACE_ACTION_COMMAND

          public static final String REPLACE_ACTION_COMMAND

      Deprecated.
      See Also:
        Constant Field Values

    - #### REPLACE_ALL_ACTION_COMMAND

          public static final String REPLACE_ALL_ACTION_COMMAND

      Deprecated.
      See Also:
        Constant Field Values

    - #### CLOSE_ACTION_COMMAND

          public static final String CLOSE_ACTION_COMMAND

      Deprecated.
      See Also:
        Constant Field Values

    - #### FIND_ACTION

          public static final Action FIND_ACTION

      Deprecated.

  - ### Method Detail

    - #### addTextListener

          public static void addTextListener​(TextListener tl)

      Deprecated.

    - #### getLastAction

          public static String getLastAction()

      Deprecated.
      Returns:
        the last action

    - #### getReplacementCount

          public static int getReplacementCount()

      Deprecated.
      Returns:
        the replacement count

    - #### getSearchText

          public static String getSearchText()

      Deprecated.
      Returns:
        the search text

    - #### registerTextComponent

          public static void registerTextComponent​(JTextComponent textComponent)

      Deprecated.
      Parameters:
        `textComponent` - the text component to listen to

    - #### removeTextListener

          public static void removeTextListener​(TextListener tl)

      Deprecated.

    - #### showDialog

          public static void showDialog()

      Deprecated.

    - #### showDialog

          public static void showDialog​(boolean isReplace)

      Deprecated.
      Parameters:
        `isReplace` - show a replace dialog rather than a find dialog if true

    - #### unregisterTextComponent

          public static void unregisterTextComponent​(JTextComponent textComponent)

      Deprecated.
      Parameters:
        `textComponent` - the text component to stop listening to

    - #### dispose

          public static void dispose()

      Deprecated.